Skip to main content
POST
Get a crypto deposit-account quote
Omit input_amount to quote approximately $50 of the source asset. Source and destination must both be mainnet or both be testnet. Quotes do not require a wallet ID or an authorization signature.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Body

application/json

Request body for an indicative crypto deposit-account route quote.

source
DepositAccountCryptoQuoteAsset · object
required

An asset and chain for an indicative crypto deposit-account quote.

Example:
destination
DepositAccountCryptoQuoteAsset · object
required

An asset and chain for an indicative crypto deposit-account quote.

Example:
input_amount
string

A positive decimal amount in the source token’s standard unit, not its smallest on-chain unit.

Maximum string length: 100
Pattern: ^(?=.*[1-9])(?:0|[1-9]\d*)(?:\.\d+)?$
Example:

"1.5"

slippage_bps
integer

Value in basis points: integer from 0 to 10000 (0% to 100%).

Required range: 0 <= x <= 10000

Response

200 - application/json

An indicative quote in token standard units.

An indicative crypto deposit-account quote. Amounts are in token standard units.

input_amount
string
required

Quoted input amount as a decimal string in the source token's standard unit (e.g. "0.02" for 0.02 ETH). Not in the smallest on-chain unit.

estimated_output_amount
string
required

Estimated output amount as a decimal string in the destination token's standard unit. Not in the smallest on-chain unit.

created_at
string<date-time>
required